Skip to main content
Import hardware model to local enterprise if it is not already imported and return imported model information.
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the model

Response

A successful response.

SysModel consists of various model attributes like id, name, title, brandId etc

name
string
required

user defined model name

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the model. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
brandId
string
required

System defined universally unique Id of the brand.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12
state
enum<string>
default:SYS_MODEL_STATE_UNSPECIFIED
required

SysModel State which denotes the status of the model

Available options:
SYS_MODEL_STATE_UNSPECIFIED,
SYS_MODEL_STATE_ARCHIVE,
SYS_MODEL_STATE_ACTIVE
type
enum<string>
default:UNSPECIFIED
required

Defines the Architecture type of the model

Available options:
UNSPECIFIED,
UNDEFINED,
AMD64,
ARM64
attr
object
required

Map of <string, string> which defines attr

originType
enum<string>
default:ORIGIN_UNSPECIFIED
required

origin of object

Available options:
ORIGIN_UNSPECIFIED,
ORIGIN_IMPORTED,
ORIGIN_LOCAL,
ORIGIN_GLOBAL,
ORIGIN_APP_PROFILE_LOCAL
id
string
read-only

System defined universally unique Id of the model.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
description
string

Detailed description of the model.

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

Object Revision of the model

productStatus
string

Product status

productURL
string

Product URL

brandName
string

Brand name.

ioMemberList
ioMember payload details · object[]

List of IoMembers

Map of <string, string> which holds the key:url for the logo artifact of the model

parentDetail
Object Import Detail · object

origin and parent related details

PCRTemplates
PCR template · object[]

PCR templates keyed by EVE version

isImported
boolean

Flag to represent whether sysModel is imported